﻿.navbar {
    height: var(--nav-height);
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    z-index: 101;
}

    .navbar .container-fluid {
        height: 100%;
        display: flex;
        justify-content: flex-end;
    }

.navbar__menu {
    position: relative;
    z-index: 1;
}

.navbar__brand {
    width: 7.6rem;
    height: auto;
    position: absolute;
    top: .7rem;
    left: 1.5rem;
    display: flex;
    justify-content: center;
    z-index: 1;
    transition-duration: .5s;
    transition-timing-function: cubic-bezier(.42,.97,.52,1.19);
}

    .navbar__brand svg {
        width: 100%;
        height: auto;
    }

    .navbar__brand .brand__location {
        background-color: var(--white);
        color: var(--purple);
        font-family: var(--headerfont);
        font-size: 4rem;
        line-height: .8;
        font-weight: 700;
        text-transform: uppercase;
        padding: 1rem 1.5rem .5rem 2rem;
        clip-path: polygon(0 5%, 100% 0, 99% 100%, 5% 100%);
        display: inline-block;
        position: absolute;
        bottom: -4rem;
        margin-left: 3rem;
        white-space: nowrap;
        transform: rotate(-7deg);
    }

body:not(.body--home) .navbar__brand,
body:not(.body--location) .navbar__brand {
    width: 10.3rem;
}

body.body--home .navbar:not(.navbar--scrolled) .navbar__brand,
body.body--location .navbar:not(.navbar--scrolled) .navbar__brand {
    width: 60vw;
    top: 6rem;
    left: calc(50% -(60vw / 2));
}

body.body--home .navbar__brand svg .back,
body.body--location .navbar__brand svg .back {
    fill: var(--red);
}

body:not(.body--home) .navbar--scrolled .navbar__brand .brand__location,
body:not(.body--location) .navbar--scrolled .navbar__brand .brand__location {
    font-size: 1.4rem;
    padding: .5rem .5rem .3rem .75rem;
    bottom: -1.5rem;
    margin-left: 2rem;
}

.navbar__search,
.navbar__toggler,
.button--close {
    background-color: transparent;
    border: none;
    margin: 2rem 0 0 0;
    padding: 0;
    outline: none;
    width: 4.8rem;
    height: 4.8rem;
    display: flex;
    justify-content: center;
    align-items: center;
    background-image: url("data:image/svg+xml,%3Csvg width='48' height='48' viewBox='0 0 48 48' fill='none' xmlns='http://www.w3.org/2000/svg'%3E%3Cpath d='M48 46.6306L-4.19629e-06 48L0.773468 -4.12867e-06L44.6676 1.85859L48 46.6306Z' fill='white'/%3E%3C/svg%3E%0A");
    background-size: cover;
    position: relative;
}

.navbar__search {
    order: 1;
    margin-right: 1.2rem;
}

.navbar__toggler {
    order: 2;
    z-index: 2;
}

    .navbar__toggler span {
        display: block;
        position: absolute;
        height: .4rem;
        width: 2.4rem;
        background: var(--black);
        border-radius: .1rem;
        opacity: 1;
        left: calc(50% - 1.2rem);
        transform: rotate(0deg);
        transition: var(--transition-default);
        z-index: 1;
    }

        .navbar__toggler span:nth-child(1) {
            top: 1.4rem;
        }

        .navbar__toggler span:nth-child(2),
        .navbar__toggler span:nth-child(3) {
            top: 2.2rem;
        }

        .navbar__toggler span:nth-child(4) {
            top: 3.0rem;
        }

    .navbar__toggler[aria-expanded="true"] span:nth-child(1) {
        top: 2.6rem;
        width: 0%;
        left: 50%;
    }

    .navbar__toggler[aria-expanded="true"] span:nth-child(2) {
        transform: rotate(45deg);
    }

    .navbar__toggler[aria-expanded="true"] span:nth-child(3) {
        transform: rotate(-45deg);
    }

    .navbar__toggler[aria-expanded="true"] span:nth-child(4) {
        top: 2.6rem;
        width: 0%;
        left: 50%;
    }

.navbar__collapse {
    --navbg: var(--purple);
    --navlink: var(--red);
    --navborder: var(--yellow);
    --navfooter: var(--white);
    position: fixed;
    bottom: 0;
    left: 0;
    width: 100vw;
    height: 100vh;
    height: var(--app-height);
    padding: var(--nav-height) 0 0;
    overflow-y: auto;
    font-weight: 800;
    background-color: var(--navbg);
    background-size: 100% 50%;
    background-repeat: no-repeat;
    transform: translateX(100vw);
    text-align: center;
    opacity: 0;
    transition: var(--transition-default);
}

.navbar.open .navbar__collapse {
    transform: translateX(0);
    opacity: 1;
}

.navbar__collapse > ul {
    list-style: none;
    margin: 0;
    padding: var(--nav-height) 0 0;
    line-height: 1;
    display: flex;
    justify-content: center;
    flex-wrap: wrap;
}

.navbar__collapse li {
    margin: 0 1rem 2rem;
    position: relative;
}

.navbar__collapse .nav__item--large {
    width: 100%;
}

.navbar__nav .nav__link {
    display: inline-flex;
    font-family: var(--headerfont);
    font-size: 4.8rem;
    font-weight: 700;
    text-transform: uppercase;
    background-color: var(--navlink);
    color: var(--white);
    clip-path: polygon(0 4%, 100% 0, 99% 100%, 3% 100%);
    padding: .5rem 1rem 0;
    position: relative;
}

.navbar__nav .nav__link:focus-visible {
    outline: .3rem solid var(--black);
    outline-offset: -1rem;
}


.navbar__nav .nav__item:nth-child(odd) .nav__link {
    transform: rotate(1deg);
}

.navbar__nav .nav__item:nth-child(even) .nav__link {
    transform: rotate(-1deg);
}

.navbar__nav .nav__item:nth-child(0) .nav__link {
    transform: none;
}

.navbar__nav .nav__item--medium .nav__link {
    font-size: 3.2rem;
}

.nav__item--small .nav__link {
    font-size: 1.6rem;
    font-weight: 400;
    color: var(--navfooter);
}

.navbar__footer {
    position: absolute;
    left: 0;
    bottom: 10rem;
    width: 100%;
}

    .navbar__footer ul {
        list-style: none;
        margin: 0;
        padding: 0;
        display: flex;
        flex-wrap: wrap;
        justify-content: center;
    }

    .navbar__footer > a {
        display: inline-flex;
        height: 100%;
        align-items: center;
        color: var(--white);
    }

.search__collapse {
    position: fixed;
    bottom: 0;
    left: 0;
    width: 100vw;
    height: 100vh;
    height: calc(var(--app-height) - var(--nav-height));
    padding: var(--nav-height) 0 0;
    background-color: var(--purple);
    background-repeat: no-repeat;
    transform: translateX(100vw);
    font-size: 1.4rem;
    line-height: 1.8rem;
    z-index: 3;
    opacity: 0;
    transition: var(--transition-default);
}

    .search__collapse.open {
        transform: translateX(0);
        opacity: 1;
        line-height: 1;
    }

    .search__collapse .button--close {
        position: fixed;
        top: 0;
        right: 2rem;
        padding: 0;
        z-index: 3;
    }

    .search__collapse .search__scrollable {
        height: 100%;
        padding-bottom: 10rem;
        overflow-y: auto;
    }

    .search__collapse .input__text {
        width: 100%;
        height: 9.2rem;
        background-color: transparent;
        border: none;
        border-bottom: .4rem solid var(--pink);
        border-radius: 0;
        color: var(--white);
        font-family: var(--headerfont);
        font-size: 7.2rem;
    }

        .search__collapse .input__text:focus {
            outline: none;
        }

        .search__collapse .input__text::placeholder {
            color: rgba(255, 255, 255, .5);
        }

    .search__collapse .course__image {
        background-color: var(--pink);
    }

.navbar__locations {
    --gap: 1rem;
    display: flex;
    overflow: hidden;
    gap: var(--gap);
    font-family: var(--secondfont);
    width: 100%;
    position: fixed;
    top: 1.5rem;
    left: 0;
}

    .navbar__locations ul {
        list-style: none;
        margin: 0;
        padding: 0;
        font-size: 1.6rem;
        line-height: 1;
        font-weight: 700;
        text-transform: uppercase;
        gap: var(--gap);
        flex-shrink: 0;
        display: flex;
        justify-content: space-around;
        min-width: 100%;
        animation: scroll 20s linear infinite;
    }

    .navbar__locations:hover ul {
        animation-play-state: paused;
    }

    .navbar__locations a {
        display: inline-flex;
        padding: .8rem .8rem .5rem;
        background-color: var(--green);
        color: var(--white);
        position: relative;
        clip-path: polygon(0 0, 98% 5%, 100% 100%, 2% 95%);
        transform: rotate(.5deg);
    }

        .navbar__locations a.active {
            background-color: var(--white);
            color: var(--purple);
        }

    .navbar__locations li:nth-child(even) a {
        transform: rotate(-.5deg);
    }

@keyframes scroll {
    from {
        transform: translateX(0);
    }

    to {
        transform: translateX(calc(-100% - var(--gap)));
    }
}

@media(min-width: 992px) {
    body:not(.body--home):not(.body--location) .navbar__brand,
    body.body--home .navbar.navbar--scrolled .navbar__brand,
    body.body--location .navbar.navbar--scrolled .navbar__brand {
        width: 17.8rem;
        top: 2.4rem;
    }

    body.body--home .navbar:not(.navbar--scrolled) .navbar__brand,
    body.body--location .navbar:not(.navbar--scrolled) .navbar__brand {
        width: 48rem;
        top: 8rem;
        left: calc(50% - 24rem);
    }

    .navbar__brand:hover {
        transform: rotate(1.5deg);
    }

    .navbar__brand:focus-visible {
        transform: rotate(1.5deg);
    }

    .navbar__brand .brand__location {
        font-size: 8rem;
        padding: 1.5rem 2rem 1rem 2.5rem;
        bottom: -7.5rem;
        margin-left: 7rem;
    }

    body:not(.body--home) .navbar--scrolled .navbar__brand .brand__location,
    body:not(.body--location) .navbar--scrolled .navbar__brand .brand__location {
        font-size: 3rem;
        padding: .6rem .7rem .4rem 1rem;
        bottom: -2.75rem;
        margin-left: 3rem;
    }

    .navbar__search,
    .navbar__toggler,
    .button--close {
        cursor: pointer;
        transition: var(--transition-default);
    }

    .navbar__search:hover,
    .navbar__toggler:hover,
    .button--close:hover {
        transform: rotate(-3deg);
    }

    .navbar__search:focus-visible,
    .navbar__toggler:focus-visible,
    .button--close:focus-visible {
        transform: rotate(-3deg);
    }

    .navbar__collapse,
    .search__collapse {
        transition-duration: .4s;
        transform: translateY(-130%);
    }
	
	.navbar__collapse {
		overflow: hidden;
	}

        .navbar.open .navbar__collapse,
        .search__collapse.open {
            transform: translateY(0);
        }

        .search__collapse .button--close {
            right: 4rem;
        }

    .navbar__locations ul {
        animation-duration: 30s;
    }

    .navbar__locations a:hover {
        transform: rotate(0deg) !important;
    }

    .navbar__locations a:focus-visible {
        transform: rotate(0deg) !important;
    }

    .navbar__collapse li {
        margin-bottom: 3rem;
        position: relative;
        z-index: 0;
    }

        .navbar__collapse li:has(>a:hover) {
            z-index: 1;
        }

    .navbar__nav .nav__link {
        font-size: 10.4rem;
        padding: 1rem 2rem 0 2.5rem;
        position: relative;
        z-index: 1;
    }

    .navbar__nav .nav__item--medium .nav__link {
        font-size: 6.4rem;
    }

    .navbar__nav .nav__link:hover {
        transform: rotate(0deg) !important;
    }

    .navbar__nav .nav__link:focus-visible {
        transform: rotate(0deg) !important;
    }

    .nav__image {
        margin-right: 1.5rem;
        min-width: 7rem;
        height: 5rem;
        padding: .4rem;
        background-color: var(--navborder);
    }

        .nav__image img {
            width: 100%;
            height: 100%;
            object-fit: contain;
            object-position: 50% 50%;
            clip-path: polygon(0 5%, 97% 0, 100% 100%, 1% 97%);
        }

    .navbar__nav .nav__item:has(>a:hover) .nav__image {
        display: block !important;
        position: absolute;
        top: -7rem;
        right: 20rem;
        width: 44.8rem;
        height: 31.2rem;
        padding: 2.5rem;
        z-index: 0;
        opacity: 0;
        animation: navImage .3s ease-in-out forwards;
    }

    .navbar__nav .nav__item:has(>a:focus-visible) .nav__image {
        display: block !important;
        position: absolute;
        top: -7rem;
        right: 20rem;
        width: 44.8rem;
        height: 31.2rem;
        padding: 2.5rem;
        z-index: 0;
        opacity: 0;
        animation: navImage .3s ease-in-out forwards;
    }

    .navbar__nav .nav__item:has(>a:hover):nth-child(even) .nav__image {
        right: unset;
        left: 20rem;
    }

    .navbar__nav .nav__item--medium:has(>a:hover) .nav__image {
        right: 0;
        top: -15rem;
        animation: navImageMedium .3s ease-in-out forwards;
    }

    .navbar__nav .nav__item--medium:has(>a:focus-visible) .nav__image {
        right: 0;
        top: -15rem;
        animation: navImageMedium .3s ease-in-out forwards;
    }

    .navbar__nav .nav__item--medium:has(>a:hover):nth-child(even) .nav__image {
        right: unset;
        left: 10rem;
        top: -15rem;
        animation: navImageMedium .3s ease-in-out forwards;
    }

    @keyframes navImage {
        from {
            opacity: 0;
            transform: rotate(-6deg) translateX(2rem);
        }

        to {
            opacity: 1;
            transform: rotate(-2deg) translateX(0);
        }
    }

    @keyframes navImageMedium {
        from {
            opacity: 0;
            transform: rotate(-6deg) translateX(2rem) scale(.5);
        }

        to {
            opacity: 1;
            transform: rotate(-2deg) translateX(0) scale(.5);
        }
    }

    .navbar__footer {
        bottom: 0;
    }
}

@media(min-width: 992px) and (max-height: 790px) {
    .navbar__collapse li {
        margin-bottom: 2.5rem;
    }

    .navbar__nav .nav__link {
        font-size: 8rem;
    }

    .navbar__nav .nav__item--medium .nav__link {
        font-size: 5rem;
    }
}

@media(min-width: 992px) and (max-height: 660px) {
    .navbar__collapse > ul {
        padding-top: 2rem;
    }

    .navbar__collapse li {
        margin-bottom: 2rem;
    }

    .navbar__nav .nav__link {
        font-size: 7rem;
    }

    .navbar__nav .nav__item--medium .nav__link {
        font-size: 4rem;
    }
}

.navbar__collapse:has(> ul > li > .nav--courses:hover) {
    --navbg: var(--green);
    --navlink: var(--pink);
    --navborder: var(--purple);
}

.navbar__collapse:has(> ul > li > .nav--courses:focus-visible) {
    --navbg: var(--green);
    --navlink: var(--pink);
    --navborder: var(--purple);
}

.navbar__collapse:has(> ul > li > .nav--locations:hover) {
    --navbg: var(--pink);
    --navlink: var(--purple);
    --navborder: var(--red);
    --navfooter: var(--black);
}

.navbar__collapse:has(> ul > li > .nav--locations:hover) {
    --navbg: var(--pink);
    --navlink: var(--purple);
    --navborder: var(--red);
    --navfooter: var(--black);
}

.navbar__collapse:has(> ul > li > .nav--locations:focus-visible) {
    --navbg: var(--pink);
    --navlink: var(--purple);
    --navborder: var(--red);
    --navfooter: var(--black);
}

.navbar__collapse:has(> ul > li > .nav--education:hover) {
    --navbg: var(--orange);
    --navlink: var(--green);
    --navborder: var(--purple);
    --navfooter: var(--black);
}

.navbar__collapse:has(> ul > li > .nav--education:focus-visible) {
    --navbg: var(--orange);
    --navlink: var(--green);
    --navborder: var(--purple);
    --navfooter: var(--black);
}

.navbar__collapse:has(> ul > li > .nav--newsitems:hover) {
    --navbg: var(--purple);
    --navlink: var(--pink);
    --navborder: var(--green);
}

.navbar__collapse:has(> ul > li > .nav--newsitems:focus-visible) {
    --navbg: var(--purple);
    --navlink: var(--pink);
    --navborder: var(--green);
}

.navbar__collapse:has(> ul > li > .nav--aboutus:hover) {
    --navbg: var(--green);
    --navlink: var(--orange);
    --navborder: var(--pink);
}

.navbar__collapse:has(> ul > li > .nav--aboutus:focus-visible) {
    --navbg: var(--green);
    --navlink: var(--orange);
    --navborder: var(--pink);
}
